Bug 666720 - error : virRunWithHook:857 : internal error '/sbin/iptables ... unknown option
error : virRunWithHook:857 : internal error '/sbin/iptables ... unknown option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-02 11:15 EST by David Kovalsky
Modified: 2014-03-31 19:46 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 17:02:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2011-01-02 11:15:37 EST
This is in /var/log/messages:
libvirtd: 16:53:50.571: error : virRunWithHook:857 : internal error '/sbin/iptables --table mangle --insert POSTROUTING --out-interface virbr0 --protocol udp --destination-port 68 --jump CHECKSUM --checksum-fill' exited with non-zero status 2 and signal 0: iptables v1.4.9: unknown option `--checksum-fill'#012Try `iptables -h' or 'iptables --help' for more information.#012

libvirtd: 16:53:50.571: warning : networkAddIptablesRules:850 : Could not add rule to fixup DHCP response checksums on network 'default'.

libvirtd: 16:53:50.571: warning : networkAddIptablesRules:851 : May need to update iptables package & kernel to support CHECKSUM rule.

libvirt-0.8.3-2.fc14.x86_64
iptables-1.4.9-1.fc14.x86_64
kernel-2.6.35.10-74.fc14.x86_64

There is no newer kernel in updates-testing ATM. What kernel/iptables version is needed for F14?
Comment 1 Fedora Admin XMLRPC Client 2011-09-22 13:56:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:59:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-11-30 14:55:38 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:57:35 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:01:57 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:03:12 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Cole Robinson 2012-01-24 17:02:22 EST
Sorry for not addressing this bug, but F14 is EOL now, so I'm closing this report. Please reopen if this is still relevant in a more recent fedora.

Note You need to log in before you can comment on or make changes to this bug.